IEEE80211_CRYPTO(9)

NAME
ieee80211_crypto_attach, ieee80211_crypto_detach, ieee80211_crypto_encap - 802.11 WEP encryption functions

SYNOPSIS
void
ieee80211_crypto_attach(struct ieee80211com *ic);
void
ieee80211_crypto_detach(struct ieee80211com *ic);
struct ieee80211_key *
ieee80211_crypto_encap(struct ieee80211com *ic, struct ieee80211_node *ni, struct mbuf *m0);

DESCRIPTION
These functions provide encryption support for 802.11 device drivers.

The ieee80211_crypto_attach() function initializes crypto support for the interface ic. The default is null crypto.

The ieee80211_crypto_detach() function frees data structures associated with crypto support for the interface ic.

The two above functions are automatically called by the interface attach and detach routines, respectively.

The ieee80211_crypto_encap() function encapsulates the packet supplied in mbuf m0, with the crypto headers given the for node ni. Software encryption is possibly performed. In case of no specified key for ni or multicast traffic, the default key for the interface ic is used for encapsulation. The key is returned in the case of successful encapsulation, otherwise NULL is returned.

SEE ALSO
ieee80211(9)

HISTORY
The ieee80211 series of functions first appeared in NetBSD 1.5, and were later ported to FreeBSD 4.6.

AUTHORS
-nosplit This man page was written by Bruce M. Simpson <bms@FreeBSD.org> and Darron Broad <darron@kewl.org>.